<ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '14px' }"></ngx-loading>
<section class="login p-fixed d-flex text-center bg-primary common-img-bg">
  <div class="auth-fluid">
    <div class="row" *ngIf="activationpage">
      <div class="col-sm-1">
      </div>
      <div class="col-sm-4">
        <div class="login-card card-body auth-body">
          <div class="md-float-material">
            <div class="text-center">
              <img src="assets/images/auth/logo2.png" alt="logo2.png">
            </div>
            <div class="auth-box">
              <div class="row m-b-20">
                <div class="col-md-12">
                  <h3 class="text-left">Set Your Password</h3>
                </div>
              </div> 
              <form [formGroup]="changepasswordform" (ngSubmit)="onSubmit()"> 
                <div class="col-md-12 col-xl-12 form-group text-left">
                  <input type="password" class="form-control" id="password"  placeholder="New Password" formControlName="password">
                  <span class="messages text-danger" *ngIf="!changepasswordform.get('password').valid && changepasswordform.get('password').touched">* Password min length 6 and must be use at least<br/>1 number and 1 special character</span>
                </div>
                <div class="col-md-12 col-xl-12 form-group text-left">               
                  <input type="password" class="form-control" id="rpassword" placeholder="Repeat Password" formControlName="rpassword">
                  <span class="messages text-danger" *ngIf="!changepasswordform.get('rpassword').valid && changepasswordform.get('rpassword').touched">* Repeat Password Wrong</span>
                </div>
                <div class="col-md-12 col-xl-12 form-group">
                    <button type="submit" [disabled]="!changepasswordform.valid" class="btn btn-success btn-md btn-block text-center">
                        Change Password
                    </button> 
                </div>
              </form>
              <hr/>
              <div class="row">
                <div class="col-md-10">
                  <p class="text-inverse text-left m-b-0">Thank you and enjoy our website.</p> 
                </div>
                <div class="col-md-2"> 
                </div>
              </div>
            </div>
          </div>
        </div>
      </div> 
      <div class="col-sm-1">
      </div>
      <div class="col-md-6">
          <div class="login-card card-body auth-body"  style="
          background-color: #ffffff; 
          border-radius: 8px;
          padding-bottom: 60px;
          margin: 65px 0 10px 0;">
            <div style="color: #383636;font-size: 32px;text-align: left;font-weight: inherit;">
                Autodesk Partner Database<br/>& Training Evaluation System<br/><br/>
              </div>
              <div style="color: #383636;font-size: 18px;text-align: left;font-weight: inherit;">
                <strong>Partner Access to Autodesk Education and <br/>Training Programs Services</strong><br/><br/>
                Access a range of Autodesk Education services <br/>including facilities for users of these services <br/>to maintain core profile <br/>data.<br/>
              </div>
        </div>
      </div>
    </div>
  </div>